<?php
require_once './Control/ControlParceria.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlParceria = new ControlParceria();
if ($acao == 'inserir')
{
	$parceriaCategoria = new Parceriacategoria();
} else
{
	$parceriaCategoria = $controlParceria->pegarUmParceriaCategoria($pk);
}
if ($acao != 'excluir')
{
    $parceriaCategoria->lang = $lang;
    $parceriaCategoria->setIdsite(stripslashes($txtIDSite));
    $parceriaCategoria->sNome(stripslashes($txtNome));
    $parceriaCategoria->sDescricaoCurta(stripslashes($txtDescricaoCurta));
    $parceriaCategoria->sDescricao(stripslashes($txtDescricao));
    $parceriaCategoria->sTag(stripslashes($txtTag));
    $parceriaCategoria->setHabilitado(stripslashes($cbHabilitado));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlParceria->salvarParceriaCategoria($parceriaCategoria);
                    break;
            case 'inserir':
                    $retorno = $controlParceria->salvarParceriaCategoria($parceriaCategoria);
                    $acao = 'alterar';
                    $parceriaCategoria->find(true);
                    $pk = $parceriaCategoria->getParceriacategoriaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlParceria->excluirParceriaCategoria($parceriaCategoria);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#parceriaCategoriaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>